# MemcachedLocker Class Reference
[Different locking methods implementation]

Memcached based locking. More...

Inheritance diagram for MemcachedLocker:
[legend]

List of all members.

## Public Member Functions

| setMemcachedClient (CachePeer $memcachedPeer)
| get ($key)
| free ($key)
| drop ($key)

## Static Public Member Functions

static | me ()

## Public Attributes

const | VALUE = 0x1

## Private Attributes

| $memcachedClient = null

## Detailed Description

Memcached based locking.

No synchronization between local pool and memcached daemons!

Definition at line 18 of file MemcachedLocker.class.php.

## Member Function Documentation

MemcachedLocker::drop | ( | $ | key | ) |

Definition at line 50 of file MemcachedLocker.class.php.

References free().

Here is the call graph for this function:

MemcachedLocker::free | ( | $ | key | ) |

Definition at line 45 of file MemcachedLocker.class.php.

Referenced by drop().

MemcachedLocker::get | ( | $ | key | ) |

Definition at line 36 of file MemcachedLocker.class.php.

References CachePeer::add(), and Cache::EXPIRES_MINIMUM.

Here is the call graph for this function:

static MemcachedLocker::me | ( |  | ) | `[static]`

Implements Instantiatable.

Definition at line 24 of file MemcachedLocker.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

MemcachedLocker::setMemcachedClient | ( | CachePeer $ | memcachedPeer | ) |

Definition at line 29 of file MemcachedLocker.class.php.

## Member Data Documentation

MemcachedLocker::$memcachedClient = null`[private]`

Definition at line 22 of file MemcachedLocker.class.php.

const MemcachedLocker::VALUE = 0x1

Definition at line 20 of file MemcachedLocker.class.php.

The documentation for this class was generated from the following file:

- core/Cache/MemcachedLocker.class.php